import request from '@/utils/request'
import store from '@/store/index'

function bag(data, url) {
    return request({
        url: url,
        method: 'post',
        data: { 
        	token: store.getters.token,
        	data: data 
        }
    });
}

// 申请充值列表
export const bagPayList = data => bag( data, '/api/purse/pay/apply/list' );

// 充值记录
export const bagPayLog = data => bag( data, '/api/purse/pay/log/list' );

// 交易记录
export const bagTradeLog = data => bag( data, '/api/purse/trade/log/list' );

// 个人账户信息
export const bagPersonalBagInfo = data => bag( data, '/api/purse/get/info' );

// 充值操作
export const bagPay = data => bag( data, '/api/purse/pay' );

// 申请充值
export const bagPayApply = data => bag( data, '/api/purse/pay/apply' );

// 钱包支付
export const bagPayFinal = data => bag( data, '/api/pay/accountBlancePay' );

// 获得易宝统一支付url
export const bagPayFinalByYeepay = data => bag( data, '/api/pay/yeePay/getFlightPayUrl' );
