import request from '@/utils/request'
import store from '@/store/index'

function info(data, url) {
    return request({
        url: url,
        method: 'post',
        data: { 
        	token: store.getters.token,
        	data: data 
        }
    });
}

// 查找个人信息
export const infoUserData = data => info(data, '/api/user/get');
