import Cookies from 'js-cookie'

const TokenKey = 'token';

export function getToken() {
    return Cookies.get(TokenKey);
}

export function setToken(token) {
    return Cookies.set(TokenKey, token);
}

export function removeToken() {
    return Cookies.remove(TokenKey);
}

// 权限菜单相关操作
export function getMenu() {
    return localStorage.getItem('menu');
}

export function setMenu(menuList) {
    return localStorage.setItem('menu', menuList);
}

export function removeMenu() {
    return localStorage.removeItem('menu');
}

// 保存用户名
const userNameKey = 'userName';
export function getName() {
    return Cookies.get(userNameKey);
}

export function setName(menuList) {
    return Cookies.set(userNameKey, menuList);
}

export function removeName() {
    return Cookies.remove(userNameKey);
}
