# flyoa
## Build Setup

```bash 
# 安装依赖
npm install

# 建议不要直接使用 cnpm 安装以来，会有各种诡异的 bug。可以通过如下操作解决 npm 下载速度慢的问题
npm install --registry=https://registry.npm.taobao.org

# 启动服务
npm run dev
```

浏览器访问 [http://localhost:9528](http://localhost:9528)

## 发布

```bash
# 构建生产环境
npm run build:prod
```

```bash
# 访问地址
homepage: http://www.meizhoulvxing.cn
api: http://120.77.203.53:19005/eolinker/index.html
```

## 问题
1. :19000/api/flightOrder/page, 返回的列表总数(total)始终为10，导致无法翻页
2. 用户的 订单管理 / 订单列表 中，未支付的订单建议增加“支付”按钮，用于对已下单却未支付的订单进行支付，否则，以当前的设计，用户找不到未支付的订单进行支付。

Copyright (c) 2017-present flyoa
