import request from '@/utils/request'
import store from '@/store/index'

function order(data, url) {
    return request({
        url: url,
        method: 'post',
        data: { 
        	token: store.getters.token,
        	data: data 
        }
    });
}

// 申请充值列表
export const orderGetList = data => order( data, '/api/flightOrder/page' );

// 机票订单详情
export const orderDetail = data => order( data, '/api/flightOrder/detail' );

// 机票订单编辑 
export const orderEdit = data => order( data, '/api/flightOrder/update' );

// 机票退订
export const ticketRefund = data => order( data, '/api/flightOrder/recede' );
