import request from '@/utils/request';

function user(data, url) {
    return request({
        url: url,
        method: 'post',
        data: { data: data }
    });
}

//登录
export const login = data => user(data, '/api/user/login');

// 注册
export const register = data => user(data, '/api/user/register');


export function getInfo(token) {
    return request({
        url: '/vue-admin-template/user/info',
        method: 'get',
        params: { token }
    })
}

export function logout() {
    return request({
        url: '/vue-admin-template/user/logout',
        method: 'post'
    })
}
